> This page is for Paperwork API, version v2.
> For other versions, use one of these documentation indexes:
> - v1 (default): https://docs.cloudraker.com/paperwork/v1/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.cloudraker.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.cloudraker.com/_mcp/server.

# List Machines

GET https://your-org.cloudraker.run/v2/machines

Lists the saved Machines of the organization. Needs the scope `machines`.

Reference: https://docs.cloudraker.com/paperwork/v2/api/machines/list

## Authentication

- `Authorization` header (bearer token, required) — An API key (`crk_`), an exchanged token (`crt_`) or a JWT of a trusted issuer. The credential needs the scope of the capability. Read the description of each route.

## Request

### Query parameters

- `cursor` (string, optional) — The `next_cursor` of the page before.
- `limit` (integer, optional) — The page size, 1 to 100.

## Response

### 200

One page of Machines.

- `object` ("list", required)
- `data` (list of Machine, required)
- `next_cursor` (string, required, nullable) — The cursor of the next page, or null on the last page.

## Errors

### 400 Bad Request Error

An error. The `code` is one of: `invalid_request`, `wait_out_of_range`, `deadline_not_supported`, `procedure_invalid`.

- `code` (enum, required) — The error code.
  - Allowed values: `invalid_request`, `wait_out_of_range`, `deadline_not_supported`, `procedure_invalid`, `missing_credential`, `invalid_api_key`, `invalid_token`, `credits_exhausted`, `insufficient_scope`, `production_access_disabled`, `test_key_not_allowed`, `not_found`, `tenant_not_found`, `job_not_found`, `idempotency_key_reused`, `job_not_cancellable`, `version_conflict`, `not_waiting`, `rate_limit_exceeded`, `concurrency_limited`, `internal_error`, `capability_unavailable`
- `message` (string, required) — A text for the developer. Do not parse it.
- `retryable` (boolean, required) — True when the same request can succeed later.
- `requestId` (string, required) — The value of the `x-request-id` answer header.
- `docUrl` (string, optional) — The docs page of this code.
- `details` (any, optional) — The validation issues of `invalid_request`.

### 401 Unauthorized Error

An error. The `code` is one of: `missing_credential`, `invalid_api_key`, `invalid_token`.

- `code` (enum, required) — The error code.
  - Allowed values: `invalid_request`, `wait_out_of_range`, `deadline_not_supported`, `procedure_invalid`, `missing_credential`, `invalid_api_key`, `invalid_token`, `credits_exhausted`, `insufficient_scope`, `production_access_disabled`, `test_key_not_allowed`, `not_found`, `tenant_not_found`, `job_not_found`, `idempotency_key_reused`, `job_not_cancellable`, `version_conflict`, `not_waiting`, `rate_limit_exceeded`, `concurrency_limited`, `internal_error`, `capability_unavailable`
- `message` (string, required) — A text for the developer. Do not parse it.
- `retryable` (boolean, required) — True when the same request can succeed later.
- `requestId` (string, required) — The value of the `x-request-id` answer header.
- `docUrl` (string, optional) — The docs page of this code.
- `details` (any, optional) — The validation issues of `invalid_request`.

### 403 Forbidden Error

An error. The `code` is one of: `insufficient_scope`, `production_access_disabled`, `test_key_not_allowed`.

- `code` (enum, required) — The error code.
  - Allowed values: `invalid_request`, `wait_out_of_range`, `deadline_not_supported`, `procedure_invalid`, `missing_credential`, `invalid_api_key`, `invalid_token`, `credits_exhausted`, `insufficient_scope`, `production_access_disabled`, `test_key_not_allowed`, `not_found`, `tenant_not_found`, `job_not_found`, `idempotency_key_reused`, `job_not_cancellable`, `version_conflict`, `not_waiting`, `rate_limit_exceeded`, `concurrency_limited`, `internal_error`, `capability_unavailable`
- `message` (string, required) — A text for the developer. Do not parse it.
- `retryable` (boolean, required) — True when the same request can succeed later.
- `requestId` (string, required) — The value of the `x-request-id` answer header.
- `docUrl` (string, optional) — The docs page of this code.
- `details` (any, optional) — The validation issues of `invalid_request`.

### 404 Not Found Error

An error. The `code` is one of: `not_found`, `tenant_not_found`, `job_not_found`.

- `code` (enum, required) — The error code.
  - Allowed values: `invalid_request`, `wait_out_of_range`, `deadline_not_supported`, `procedure_invalid`, `missing_credential`, `invalid_api_key`, `invalid_token`, `credits_exhausted`, `insufficient_scope`, `production_access_disabled`, `test_key_not_allowed`, `not_found`, `tenant_not_found`, `job_not_found`, `idempotency_key_reused`, `job_not_cancellable`, `version_conflict`, `not_waiting`, `rate_limit_exceeded`, `concurrency_limited`, `internal_error`, `capability_unavailable`
- `message` (string, required) — A text for the developer. Do not parse it.
- `retryable` (boolean, required) — True when the same request can succeed later.
- `requestId` (string, required) — The value of the `x-request-id` answer header.
- `docUrl` (string, optional) — The docs page of this code.
- `details` (any, optional) — The validation issues of `invalid_request`.

### 429 Too Many Requests Error

An error. The `code` is one of: `rate_limit_exceeded`, `concurrency_limited`.

- `code` (enum, required) — The error code.
  - Allowed values: `invalid_request`, `wait_out_of_range`, `deadline_not_supported`, `procedure_invalid`, `missing_credential`, `invalid_api_key`, `invalid_token`, `credits_exhausted`, `insufficient_scope`, `production_access_disabled`, `test_key_not_allowed`, `not_found`, `tenant_not_found`, `job_not_found`, `idempotency_key_reused`, `job_not_cancellable`, `version_conflict`, `not_waiting`, `rate_limit_exceeded`, `concurrency_limited`, `internal_error`, `capability_unavailable`
- `message` (string, required) — A text for the developer. Do not parse it.
- `retryable` (boolean, required) — True when the same request can succeed later.
- `requestId` (string, required) — The value of the `x-request-id` answer header.
- `docUrl` (string, optional) — The docs page of this code.
- `details` (any, optional) — The validation issues of `invalid_request`.

### 500 Internal Server Error

An error. The `code` is one of: `internal_error`.

- `code` (enum, required) — The error code.
  - Allowed values: `invalid_request`, `wait_out_of_range`, `deadline_not_supported`, `procedure_invalid`, `missing_credential`, `invalid_api_key`, `invalid_token`, `credits_exhausted`, `insufficient_scope`, `production_access_disabled`, `test_key_not_allowed`, `not_found`, `tenant_not_found`, `job_not_found`, `idempotency_key_reused`, `job_not_cancellable`, `version_conflict`, `not_waiting`, `rate_limit_exceeded`, `concurrency_limited`, `internal_error`, `capability_unavailable`
- `message` (string, required) — A text for the developer. Do not parse it.
- `retryable` (boolean, required) — True when the same request can succeed later.
- `requestId` (string, required) — The value of the `x-request-id` answer header.
- `docUrl` (string, optional) — The docs page of this code.
- `details` (any, optional) — The validation issues of `invalid_request`.

### 503 Service Unavailable Error

An error. The `code` is one of: `capability_unavailable`.

- `code` (enum, required) — The error code.
  - Allowed values: `invalid_request`, `wait_out_of_range`, `deadline_not_supported`, `procedure_invalid`, `missing_credential`, `invalid_api_key`, `invalid_token`, `credits_exhausted`, `insufficient_scope`, `production_access_disabled`, `test_key_not_allowed`, `not_found`, `tenant_not_found`, `job_not_found`, `idempotency_key_reused`, `job_not_cancellable`, `version_conflict`, `not_waiting`, `rate_limit_exceeded`, `concurrency_limited`, `internal_error`, `capability_unavailable`
- `message` (string, required) — A text for the developer. Do not parse it.
- `retryable` (boolean, required) — True when the same request can succeed later.
- `requestId` (string, required) — The value of the `x-request-id` answer header.
- `docUrl` (string, optional) — The docs page of this code.
- `details` (any, optional) — The validation issues of `invalid_request`.

## Types

### Machine

A saved Machine of the organization.

- `object` ("machine", required)
- `name` (string, required)
- `description` (string, required, nullable)
- `published_version` (integer, required, nullable) — The published version. Null when no version is published.
- `latest_version` (integer, required)
- `model` (string, required) — The OpenAI model id of the published version.
- `created_at` (datetime, required)
- `updated_at` (datetime, required)

## Examples

**Response**

```json
{
  "object": "string",
  "data": [
    {
      "object": "string",
      "name": "invoice-intake",
      "description": "string",
      "published_version": 1,
      "latest_version": 1,
      "model": "machine/invoice-intake",
      "created_at": "2026-11-07T14:02:11Z",
      "updated_at": "2026-11-07T14:02:11Z"
    }
  ],
  "next_cursor": "string"
}
```

**SDK Code**

```python
import requests

url = "https://your-org.cloudraker.run/v2/machines"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://your-org.cloudraker.run/v2/machines';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://your-org.cloudraker.run/v2/machines"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://your-org.cloudraker.run/v2/machines")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://your-org.cloudraker.run/v2/machines")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://your-org.cloudraker.run/v2/machines', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://your-org.cloudraker.run/v2/machines");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://your-org.cloudraker.run/v2/machines")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```